=== debian/changelog ===
libapogee2 (2.2) gutsy; urgency=low

  * Initial release

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 3 Oct 2008 21:00:00 +0300
