=== debian/control ===
Source: libapogee2
Section: Development/Libraries
Priority: extra
Maintainer: Jasem Mutlaq <mutlaqja@ikarustech.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libapogee2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package is primarily intended for developers wishing to add Alta camera control options to other packages (e.g. Kstars/INDI), the library includes a set of INDI compatible entry points, the ApnGlueXXX routines.

Package: libapogee2-dev
Architecture: any
Depends: libapogee2, ${shlibs:Depends}, ${misc:Depends}
Description: This package includes development headers for Apogee Alta CCDs.
